curl --request PUT \
--url https://services.leadconnectorhq.com/contacts/{contactId}/tasks/{taskId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"title": "First Task",
"body": "loram ipsum",
"dueDate": "2020-10-25T11:00:00Z",
"completed": true,
"assignedTo": "hxHGVRb1YJUscrCB8eXK"
}
'{
"task": {
"id": "lJpzYrWdpkC2hX6t2yue",
"title": "test",
"body": "testing",
"assignedTo": "tesTUcmRxWrjqzJS8EjkxNKting",
"dueDate": "2021-07-08T02:30:00.000Z",
"completed": true,
"contactId": "lJpzYrWdpkC2hX6t2yue"
}
}Update Task
curl --request PUT \
--url https://services.leadconnectorhq.com/contacts/{contactId}/tasks/{taskId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"title": "First Task",
"body": "loram ipsum",
"dueDate": "2020-10-25T11:00:00Z",
"completed": true,
"assignedTo": "hxHGVRb1YJUscrCB8eXK"
}
'{
"task": {
"id": "lJpzYrWdpkC2hX6t2yue",
"title": "test",
"body": "testing",
"assignedTo": "tesTUcmRxWrjqzJS8EjkxNKting",
"dueDate": "2021-07-08T02:30:00.000Z",
"completed": true,
"contactId": "lJpzYrWdpkC2hX6t2yue"
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Contact Id
"sx6wyHhbFdRXh302LLNR"
Task Id
"ocQHyuzHvysMo5N5VsXc"
Successful response
Show child attributes
Was this page helpful?